FORMAX DEVELOPER API
  1. PPI Fund Transfer API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. PPI Fund Transfer API

Beneficiary List

POST
https://api.formaxpay.com/api/ppi_dmt/beneficiary/list
This API retrieves the list of registered beneficiaries for a sender.
It provides beneficiary details including account number, IFSC, bank name, and transaction capabilities (IMPS/NEFT).

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/ppi_dmt/beneficiary/list' \
--header 'Authorization: Basic M2U4czlqZ0F4VTNadmczeGZTa3NxbWVjTjVyTHdxYlg6NUFrcEB3Ti1UbH5tRUo5' \
--header 'x-wallet-token: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJJZGVudGlmaWNhdGlvbkNvZGUiOiJtbXZ0bmRZalFGMVlLMzNvbHRwM3NBPT0iLCJCQ0FnZW50SWQiOiJmU2hvN0grMGcrYz0iLCJleHAiOjE3NjY0Nzg0MjYsImlzcyI6IlBheVBvaW50IiwiYXVkIjoiUGFydG5lcnMifQ.4yDiui6jcXBw3NjhSNn9mkiDuxOjbEOeEbjHtiG4chA' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile_number": "9836993732"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Beneficiary List",
    "data": {
        "beneficiaries": [
            {
                "beneficiary_id": 3585778,
                "beneficiary_mobile": "9836114520",
                "beneficiary_name": "MIJANUR HAQUE",
                "account_number": "55550101241295",
                "ifsc_code": "FDRL0005555",
                "bank_id": 0,
                "bank_name": "FEDERAL BANK",
                "is_ac_validate": 1,
                "imps": 1,
                "neft": 1
            }
        ]
    }
}
Modified at 2025-12-24 14:23:54
Previous
Verify PAN
Next
Add Beneficiary
Built with